.modal-header .btn-close {
  filter: invert(1); /* Invierte el color para hacerlo blanco */
}

.modal-header .btn-close:hover {
  filter: invert(1.2); /* Opcional: mejora el contraste al pasar el mouse */
}

#geo-btn {
  width: 120px;
}

.search-container {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  justify-content: center;
  margin-bottom: 20px;
}

.btn-search {
  cursor: pointer;
  background: #ffc107;
  color: #ffffff;
  margin: 3px;
  border: #fcfcfc solid;
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 3px;
  padding-bottom: 3px;
  border-radius: 5px;
}

.history-item:hover {
  background: #848383;
}

.hidden {
  display: none;
}

.chart-container {
  margin-top: 20px;
}

#map {
  height: 400px;
  margin-top: 20px;
}

.weather-result img {
  width: 100px;
}

.forecast-item {
  text-align: center;
  margin: 10px;
}

.forecast-item img {
  width: 50px;
}

.loading {
  animation: spin 1s linear infinite;
}

.hero-section {
  /* Reemplaza con tu imagen */
  background: linear-gradient(rgba(80, 79, 79, 0.6), rgba(80, 79, 79, 0.6)),
    url(click3.jpg);

  background-size: cover;
  background-repeat: no-repeat;

  min-height: 100vh;
  max-width: 100%;

  color: white;

  position: relative;
}

.chart-container {
  position: relative;
  width: 100%;
}

#temperature-chart {
  position: relative;
  width: 100%; /* Asegura que ocupe todo el ancho disponible */
  height: 300px; /* Ajusta la altura a un valor más grande */
}

.history-item {
  cursor: pointer;
  background: #848383;
  color: #ffffff;
  margin: 5px;

  border: #fcfcfc solid;
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 3px;
  padding-bottom: 3px;
  border-radius: 5px;
}

.history-item:hover {
  background: #4e4d4a;
}

.btn-coment {
  cursor: pointer;
  background: #ffc107;
  color: #ffffff;
  margin: 5px;

  border: #fcfcfc solid;
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 3px;
  padding-bottom: 3px;
  border-radius: 5px;
}

.btn-coment:hover {
  background: #848383;
}

.list-group-item {
  margin: 5px;
  border-radius: 5px;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}

@media (min-width: 576px) {
  .history-list-class {
    display: flex;
    flex-wrap: wrap;
  }
}

@media (min-width: 992px) {
  .search-container {
    display: flex;
    flex-wrap: nowrap;
    width: 70%;
  }

  .unit-select-class {
    width: 10%;
  }

  #geo-btn {
    width: 35%;
  }
}
